---
title: "Agoda API: Suggest | Perceptlayer"
description: "Suggest from Agoda as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/agoda/suggest
---

[APIs](https://perceptlayer.com/apis) / [Agoda](https://perceptlayer.com/apis/agoda) / Suggest

# Agoda: Suggest

Suggest from Agoda as JSON. 1 credit per successful call.

GET `/v1/agoda/suggest`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 100 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/agoda/suggest?query=Bangkok" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/agoda?try=suggest#playground) with your own parameters. 1 credit per successful call; failed calls are free.
